Subject: RE: user identification problem
From: "Lee, Robert C." <[email-masked]>
To: "[email-masked]'" <[email-masked]>
Date: Wed, 13 Aug 2003 09:55:55 -0700

Thank you, Igor. I edited my passwd to change my UID and that solved my
problem.

- Robert

-----Original Message-----
From: Igor Pechtchanski [mailto:[email-masked]]
Sent: Tuesday, August 12, 2003 5:52 PM
To: Lee, Robert C.
Cc: [email-masked]
Subject: Re: user identification problem

On Tue, 12 Aug 2003, Lee, Robert C. wrote:

> Hello,
>
> I find that my cygwin installation complains that it has no name for me:
I
> have no name!@DECAV68461 ~
>
> I get this whenever I start the cygwin shell. Also when I do an whomai I
> get:
>
>      whomai: cannot find username for UID 4276.
>
> A 'id -un' gives me:
>
>       id: cannot find name for user ID 4276
>
> Some of the files and directories do show a user 4276 in the mkgroup_.
>
> My name is in the /etc/passwd file:
>
> SYSTEM:*:18:544:,S-1-5-18::
> Administrators:*:544:544:,S-1-5-32-544::
>
Administrator:unused_by_nt/2000/xp:500:513:U-DECAV68461\Administrator,S-1-5-
> 21-484763869-1958367476-725345543-
> 500:/home/Administrator:/bin/bash
>
Guest:unused_by_nt/2000/xp:501:513:U-DECAV68461\Guest,S-1-5-21-484763869-195
> 8367476-725345543-501:/home/Guest:/bin/bash
>
leero:unused_by_nt/2000/xp:135348:10513:leero,U-NORTHGRUM\leero,S-1-5-21-206
> 3937484-1545362895-883519231-125348:/cygdrive/c:/bin/bash
>
> I'm leero, the machine name is DECAV68461.  I log onto DECAV68461 under
the
> NORTHGRUM domain.
>
> Does anyone know where this 4276 comes from? I 'm having problems building
> s/w that use /usr/bin/install b/c the latter claims I have no permission
to
> change ownership of files.
>
> Am I missing some setup steps?
>
> Thanks for your help.
> Robert

$ expr 135348 % 65536
4276

Cygwin versions before 1.5.* have 16-bit UIDs.  Therefore, your UID value
of 135348 overflows, and that's how you get 4276.  You have one of two
choices: edit your UID in /etc/passwd and make it 4276 instead of 135348
(actually, any unique number <65535 will do), or wait until Cygwin 1.5.*
becomes current.
	Igor
-- 
				http://cs.nyu.edu/~pechtcha/
      |\      _,,,---,,_		[email-masked]
ZZZzz /,`.-'`'    -.  ;-;;,_		[email-masked]
     |,4-  ) )-,_. ,\ (  `'-'		Igor Pechtchanski, Ph.D.
    '---''(_/--'  `-'\_) fL	a.k.a JaguaR-R-R-r-r-r-.-.-.  Meow!

"I have since come to realize that being between your mentor and his route
to the bathroom is a major career booster."  -- Patrick Naughton

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/